Skip to main content
POST
/
v1
/
declarations
/
{id}
/
documents
Submit export documents
curl --request POST \
  --url https://sandbox-api.easecustoms.com/v1/declarations/{id}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "documents": [
    {}
  ]
}
'
{
  "declarationId": 43,
  "submitted": true,
  "documentsSubmitted": 1,
  "message": "Documents submitted to customs"
}
Send documents customs asked for while an export declaration is under control (status: under_control).

Path Parameters

id
number
required
The unique declaration ID.

Request Payload

documents
array
required
List of documents to submit.
JSON Payload
{
  "documents": [
    {
      "code": "N935",
      "filename": "export_packing_list.pdf",
      "contentBase64": "JVBERi0xLjQKJcfsj6y...",
      "description": "Packing List"
    }
  ]
}
{
  "declarationId": 43,
  "submitted": true,
  "documentsSubmitted": 1,
  "message": "Documents submitted to customs"
}